
[% USE Dumper %]

[% interface = zaak.get_email_interface %]
[% IF !interface %]
	Er is geen e-mail koppeling aanwezig. Neem contact op met de beheerder.
	[% RETURN %]
[% END %]
[% IF interface && !interface.active %]
	De koppeling "email" is inactief. Neem contact op met de beheerder.
	[% RETURN %]
[% END %]

<form method="POST" action="[% c.uri_for('/zaak/' _ zaak.nr _ '/reschedule') %]" class="ezra_reschedule">
<input type="hidden" name="action" value="update">
    <div class="dialog-inner">
    	[% IF c.req.params.action == 'update' %]
    		E-mails zijn opnieuw ingepland<br/><br/>
    	[% ELSIF c.req.params.action == 'delete' %]
    		E-mail [% job_id %] verwijderd
			<br/><br/>
    	[% END %]
 
		<p class="bericht">De volgende taken staan nu ingepland voor deze zaak.</p>
		<table>
		<thead>
			<tr>
				<th>Ingepland voor</th>
				<th>Sjabloon</th>
				<th>Ontvanger</th>
				<th></th>
			</tr>
		</thead>

		[% FOREACH transaction = zaak.pending_notifications %]
            [% transaction_params = transaction.get_processor_params %]
				<tr>
					<td>
    					[% time_temp = transaction.date_next_retry.set_time_zone('Europe/Amsterdam'
                        ) %]

			            [% time_temp.dmy %] [% time_temp.hms %]
			        </td>
			        <td>
                        [% transaction_params.label %]
			        </td>
					<td>[% transaction_params.notification.recipient_type %]</td>
					<td><!-- a href="/zaak/[% zaak.id %]/delete_job?job_id=[% notification.id %]" class="ezra_reschedule_delete icon icon-del"></a--></td>
			     </tr>
		[% END %]

		</table>
   </div>

    <div class="form-actions">
    	[% UNLESS c.req.params.action == 'update' %]
	         Klik op de knop 'Herplannen' om (alle ingeplande taken) opnieuw in te plannen a.d.h.v. de huidige instellingen van de zaak.<br/><br/>
	        <input type="submit" value="Herplannen" class="button button-primary" id="dialog-submit"/>
        [% END %]
    </div>

</form>

